Error 113 when updating

Hi, I have tried numerous times to update the Comodo firewall (I keep getting bubble message to do so) but every time I get about 4% and then error 113. I am running ver 3.12 or so and I read you can’t update from here. So I went to the website and downloaded the latest version of CIS. It starts installing and detects the old version and says will modify then asks what I want to install then just disappears. How do I get the new firewall version installed? Thanks

you need to completly uninstall v.3.12 and install v.4.1.
i have found out that is the best way to do it with hardly any problems

 NOTE:  comodo will have to re-learn your system.

Check out this:
https://forums.comodo.com/install-setup-configuration-help-cis/how-to-upgrade-from-v3-to-v4-t58620.0.html